#pragma once

#include "Widget.h"
#include "Button.h"
#include "Label.h"
#include "TextBox.h"

class TextEditorPanel : public Widget
{
    using saveFunc = void (*)(const std::string& content);
    saveFunc mSaveFunction;
    TextBox* mTextBox;

public:

    TextEditorPanel();

    static std::unique_ptr<TextEditorPanel> Create();

    void Initialize();

    void SetOnSaveFunction(saveFunc func);
};
using TextEditorPanelUPtr = std::unique_ptr<TextEditorPanel>;
